#!/usr/bin/env node
const { exec } = require('child_process');

module.exports = ({ projectNameSlug }) =>
  new Promise((resolve, reject) => {
    exec(`cd ${projectNameSlug} && yarn`, (npmErr, npmStdout) => {
      if (npmErr) {
        console.error('Error occurred while installing dependencies: ', npmErr);
        reject(npmErr);
      }
      console.log(npmStdout);
      resolve();
    });
  });
