# CREATE-IVX-APP

create-ivx-app is a generator to create standard-compliant frontend project
scaffolding to quickly get started.

## Installation/Updating

both require the same command:
`npm -i -g create-ivx-app` or `yarn add global create-ivx-app`

remember to execute this command before every creation to make sure your installation is up-to-date.

## Usage

1.  open your terminal and navigate to the folder you want to create your project in, i.e.
    `cd ~/my-projects`
2.  start the generator: `create-ivx-app`
3.  you will be prompted for a couple of options, fill them out as needed
4.  a folder with appropriate file structure will be generated. have fun!

# Development

## Package Manager

This repo does not make use of yarn, since it is publically available and restricting usage to machines that have yarn installed would be detrimental. As such, make sure you use npm for installing dependencies, as otherwise the lockfile won't be respected.

## Maintenance

1.  Check out repository
2.  Install dependencies with `npm i` (**IMPORTANT**: do not use yarn for this!)
3.  Update dependencies with `npm update`
4.  Make sure tests still run with `npm run test`
